Skip to main content
PUT
/
v1
/
bookings
/
{id}
PUT /v1/bookings/{id}
curl --request PUT \
  --url https://www.skaala.ai/api/v1/bookings/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{
  "body": {}
}'
{
  "200": {},
  "400": {},
  "401": {},
  "404": {},
  "500": {}
}

PUT /v1/bookings/

Transform booking to API response format (snake_case)

Path Parameters

id
string
id

Request Body

body
CreateBooking
required
Request body following the CreateBooking schema

Responses

200
success
Successful response
400
error
Bad request - Invalid parametersReturns a Error object
401
error
Unauthorized - Invalid or missing API keyReturns a Error object
404
error
Not foundReturns a Error object
500
error
Internal server errorReturns a Error object

Code Examples

curl -X PUT https://www.skaala.ai/api/v1/bookings/abc123 \
  -H "X-API-Key: sk_live_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    // Your request body here
  }'